## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/beartype/beartype
%global commit 1ea338d33ff2b7f21e45a67f9a7be4ab54ae470e
%global date 20240709
%global version0 0.21.0
%forgemeta

Name:           python-beartype
Version:        %forgeversion
Release:        %autorelease
Summary:        Unbearably fast runtime type checking in pure Python
License:        MIT
URL:            https://beartype.readthedocs.io
Source:         %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest) 
BuildRequires:  python3dist(sphinx)
BuildRequires:  make

%global _description %{expand:
An open-source pure-Python PEP-compliant near-real-time hybrid
runtime-static third-generation type checker emphasizing efficiency,
usability, unsubstantiated jargon we just made up, and thrilling puns.}

%description %_description

%package -n     python3-beartype
Summary:        %{summary}

%description -n python3-beartype %_description

%prep
%autosetup -p1 %{forgesetupargs}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel
(cd doc; make man singlehtml)

%install
%pyproject_install
%pyproject_save_files beartype
install -m0644 -D doc/trg/man/beartype.1 %{buildroot}%{_mandir}/man1/beartype.1
gzip %{buildroot}%{_mandir}/man1/beartype.1
mv doc/trg/singlehtml/index.html beartype.html
# https://github.com/beartype/beartype/issues/331
find %{buildroot}/%{python3_sitelib} -type f -name \*.py -print0 | xargs -0  sed -i "s:#\!/usr/bin/env python3:# :"

%check
%pyproject_check_import
%pytest beartype_test

%files -n python3-beartype -f %{pyproject_files}
%license LICENSE
%doc beartype.html
%{_mandir}/man1/beartype.1.*

%changelog
## START: Generated by rpmautospec
* Thu Jul 10 2025 Maxwell G <maxwell@gtmx.me> - 0.21.0^20240709git1ea338d-1
- Update to 0.21.0 post-release with Python 3.14 support
- Fixes: rhbz#2322721

* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 0.18.5-4
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jun 20 2024 Robert-André Mauchin <zebob.m@gmail.com> - 0.18.5-1
- Update to 0.18.5

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.17.2-2
- Rebuilt for Python 3.13

* Tue Feb 20 2024 Paul Wouters <paul.wouters@aiven.io> - 0.17.2-1
- Initial package (0.17.2) (rhbz#2264793)
## END: Generated by rpmautospec
